National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2011-1058 Detail

Current Description

Cross-site scripting (XSS) vulnerability in the reStructuredText (rst) parser in parser/text_rst.py in MoinMoin before 1.9.3, when docutils is installed or when "format rst" is set, allows remote attackers to inject arbitrary web script or HTML via a javascript: URL in the refuri attribute. NOTE: some of these details are obtained from third party information.

Source:  MITRE
Description Last Modified:  02/22/2011
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 2.6 LOW
Vector: (AV:N/AC:H/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 4.9


Access Vector (AV): Network
Access Complexity (AC): High
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.fedoraproject.org/pipermail/package-announce/2011-March/054544.html
http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055116.html
http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055124.html
http://moinmo.in/SecurityFixes Patch Vendor Advisory
http://www.debian.org/security/2011/dsa-2321
http://www.securityfocus.com/bid/46476
http://www.ubuntu.com/usn/USN-1604-1
http://www.vupen.com/english/advisories/2011/0455 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0571
http://www.vupen.com/english/advisories/2011/0588
https://exchange.xforce.ibmcloud.com/vulnerabilities/65545

Technical Details

Vulnerability Type (View All)

  • Cross-Site Scripting (XSS) (CWE-79)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:moinmo:moinmoin:0.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.5:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.6:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.7:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.8:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.9:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.10:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:0.11:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.2.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.2.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.2.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.5:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.3.5:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta3:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta4:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta5:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:beta6:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.0:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.3:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.3:rc2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.5:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.5:a:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.5:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.5a:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.6:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.7:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.5.8:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.0:beta1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.0:beta2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.0:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.0:rc2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.6.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:beta1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:beta2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:rc1:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:rc2:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.0:rc3:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.7.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.2:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.3:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.4:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.6:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.7:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.8.8:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.9.0:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:1.9.1:*:*:*:*:*:*:*
cpe:2.3:a:moinmo:moinmoin:*:*:*:*:*:*:*:*    versions up to (including) 1.9.2

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2011-1058
NVD Published Date:
02/22/2011
NVD Last Modified:
08/16/2017